# Class TCefMenuButtonDelegateRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMenuButtonDelegate

## Declaration

`type TCefMenuButtonDelegateRef = class(TCefButtonDelegateRef, ICefMenuButtonDelegate)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefViewDelegateRef
- TCefButtonDelegateRef
- TCefMenuButtonDelegateRef

## Overview

### Methods

| `procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);`
| `class function UnWrap(data: Pointer): ICefMenuButtonDelegate;`

## Description

### Methods

| `procedure OnMenuButtonPressed(const menu_button: ICefMenuButton; const screen_point: TCefPoint; const button_pressed_lock: ICefMenuButtonPressedLock);`
This item has no description. Showing description inherited from ICefMenuButtonDelegate.OnMenuButtonPressed. Called when |button| is pressed. Call ICefMenuButton.ShowMenu() to show a popup menu at |screen_point|. When showing a custom popup such as a window keep a reference to |button_pressed_lock| until the popup is hidden to maintain the pressed button state.

| `class function UnWrap(data: Pointer): ICefMenuButtonDelegate;`
Returns a ICefMenuButtonDelegate instance using a PCefMenuButtonDelegate data pointer.

Generated by PasDoc 0.16.0-snapshot.